Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::PSSR_Raw Class Referencefinal

`#include <pssr.h>`

Inheritance diagram for Botan::PSSR_Raw:

## Public Member Functions
EMSA * | clone () override
virtual AlgorithmIdentifier | config_for_x509 (const Private_Key &key, const std::string &cert_hash_name) const
std::string | name () const override
| PSSR_Raw (HashFunction *hash)
| PSSR_Raw (HashFunction *hash, size_t salt_size)

## Detailed Description

PSSR_Raw This accepts a pre-hashed buffer

Definition at line 64 of file pssr.h.

## Constructor & Destructor Documentation

Botan::PSSR_Raw::PSSR_Raw | ( | HashFunction * | hash | ) |
| explicit

Parameters

  hash | the hash function to use

Definition at line 221 of file pssr.cpp.

Referenced by clone().

221 :
222 m_hash(h),
223 m_salt_size(m_hash->output_length()),
224 m_required_salt_len(false)
225 {
226 }

Botan::PSSR_Raw::PSSR_Raw | ( | HashFunction * | hash,
|  | size_t | salt_size
| ) |  |

Parameters

  hash | the hash function to use
  salt_size | the size of the salt to use in bytes

Definition at line 228 of file pssr.cpp.

228 :
229 m_hash(h),
230 m_salt_size(salt_size),
231 m_required_salt_len(true)
232 {
233 }
salt_size
size_t salt_size
Definition: p11_mechanism.cpp:70

## Member Function Documentation

EMSA * Botan::PSSR_Raw::clone | ( |  | ) |
| override virtual

Returns
  a new object representing the same encoding method as *this

Implements Botan::EMSA.

Definition at line 281 of file pssr.cpp.

References PSSR_Raw().

282 {
283 return new PSSR_Raw(m_hash->clone(), m_salt_size);
284 }
Botan::PSSR_Raw::PSSR_Raw
PSSR_Raw(HashFunction *hash)
Definition: pssr.cpp:221

AlgorithmIdentifier Botan::EMSA::config_for_x509 | ( | const Private_Key & | key,
|  | const std::string & | cert_hash_name
| ) |  | const
| virtual inherited

Prepare sig_algo for use in choose_sig_format for x509 certs

Parameters

  key | used for checking compatibility with the encoding scheme
  cert_hash_name | is checked to equal the hash for the encoding

Returns
  algorithm identifier to signatures created using this key, padding method and hash.

Reimplemented in Botan::EMSA_PKCS1v15, Botan::PSSR, and Botan::EMSA1.

Definition at line 38 of file emsa.cpp.

References Botan::EMSA::name().

40 {
41 throw Not_Implemented("Encoding " + name() + " not supported for signing X509 objects");
42 }
Botan::EMSA::name
virtual std::string name() const =0

std::string Botan::PSSR_Raw::name | ( |  | ) | const
| override virtual

Returns
  the SCAN name of the encoding/padding scheme

Implements Botan::EMSA.

Definition at line 286 of file pssr.cpp.

References Botan::ASN1::to_string().

287 {
288 return "PSSR_Raw(" + m_hash->name() + ",MGF1," + std::to_string(m_salt_size) + ")";
289 }
Botan::ASN1::to_string
std::string to_string(const BER_Object &obj)
Definition: asn1_obj.cpp:213

The documentation for this class was generated from the following files:

- src/lib/pk_pad/emsa_pssr/pssr.h
- src/lib/pk_pad/emsa_pssr/pssr.cpp